/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.risk;

import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.*;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/20 17:42
 */
@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_THRESHOLD")
@Comment("风险预警下的阈值设置")
public class Threshold extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 5075164198170220832L;

    @ManyToOne
    @JoinColumn(name = "risk_warn_id")
    @Comment("风险预警")
    private RiskWarn riskWarn;

    @Comment("阈值区间起始值")
    private Integer min;

    @Comment("阈值区间结束值")
    private Integer max;
}
